<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('agency_user', function (Blueprint $table) {
            $table->tinyInteger('is_leader')->default(0)->comment('是否负责人 0:否 1:是')->after('collaborator_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('agency_user', function (Blueprint $table) {
            $table->dropColumn('is_leader');
        });
    }
};
